// Next.js API route support: https://nextjs.org/docs/api-routes/introduction
import axios from 'axios';
import { Cookies } from 'react-cookie';
import cookie from 'cookie';
import moment from 'moment';
import jwt from 'jsonwebtoken';
import { cors } from '../../../lib/cors';

export default async function handler(req, res) 
{
	await cors(req, res);

	if(req.headers.cookie !== undefined)
	{
		const cookies = cookie.parse(req.headers?.cookie ? req.headers?.cookie : "");

		if(cookies.jwt !== undefined && cookies.jwt !== null)
		{
			if(jwt.verify(cookies.jwt, process.env.JWT_SECRET_CLIENT))
			{
				try
				{
					axios.get(req.query.url, {
						responseType: 'arraybuffer',
					})
					.then((bitrix_response) => 
					{
						res.status(200).send(bitrix_response.data);
					})
					.catch((error) => 
					{
						console.error(error);
						res.status(500);
					});
				}
				catch(e)
				{
					console.error(e);
					res.status(500);
				}
			}
		}
		else
		{
			res.status(403);
		}
	}
}